=== packaging/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
 #-------------------------------------------------------------------------
 include $(PGXS)
  
-SS_VERSION := $(subst ., ,$(subst devel,.devel,$(subst beta,.beta,$(VERSION))))
+SS_VERSION := $(subst ., ,$(subst devel,.devel,$(subst beta,.beta,$(subst RC,.RC,$(VERSION)))))
 PGSQL_MAJOR_VER = $(word 1,$(SS_VERSION))
 PGSQL_MINOR_VER = $(word 2,$(SS_VERSION))
 DISTRIB := distrib
