=== src/C/pljava/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 #
 include $(PGXS)
 
-SS_VERSION := $(subst ., ,$(subst devel,.99,$(subst beta,.99,$(VERSION))))
+SS_VERSION := $(subst ., ,$(subst devel,.99,$(subst beta,.99,$(subst RC,.99,$(VERSION)))))
 PGSQL_MAJOR_VER	= $(word 1,$(SS_VERSION))
 PGSQL_MINOR_VER	= $(word 2,$(SS_VERSION))
 PGSQL_PATCH_VER	= $(word 3,$(SS_VERSION))
@@ -55,10 +55,18 @@
 	ifeq ($(host_cpu), i686)
 		JRE_CPU := i386
 	else
+	ifeq ($(host_cpu), i586)
+		JRE_CPU := i386
+	else
+	ifeq ($(host_cpu), i486)
+		JRE_CPU := i386
+	else
 	ifeq ($(host_cpu), x86_64)
 		JRE_CPU := amd64
 	else
 		JRE_CPU := $(host_cpu)
+	endif
+	endif
 	endif
 	endif
