## postgresql-pljava 1.4.2

=== Makefile ===
--- 
+++ 
@@ -28,7 +28,7 @@
 #
 export PROJDIR := $(shell $(SHELL) -c pwd)
 
-PG_CONFIG = pg_config
+export PG_CONFIG = pg_config
 export PGXS := $(shell $(PG_CONFIG) --pgxs)
 export PGSQLSRC := $(dir $(PGXS))..
 export top_builddir := $(PGSQLSRC)/..
@@ -39,7 +39,7 @@
 export CLASSDIR			:= $(TARGETDIR)/classes
 export PLJAVA_MAJOR_VER	:= 1
 export PLJAVA_MINOR_VER	:= 4
-export PLJAVA_PATCH_VER	:= 0
+export PLJAVA_PATCH_VER	:= 2
 export PLJAVA_VERSION	:= $(PLJAVA_MAJOR_VER).$(PLJAVA_MINOR_VER).$(PLJAVA_PATCH_VER)
 export TAR				:= /bin/tar
 
@@ -110,5 +110,3 @@
 maven_bundle: pljava_all
 	@-mkdir -p $(TARGETDIR)/distrib
 	@$(MAKE) -r -C $(TARGETDIR) -f $(PROJDIR)/packaging/Makefile $@
-
-
