=== src/C/pljava/Makefile ===
--- 
+++ 
@@ -26,7 +26,7 @@
 #
 include $(PGXS)
 
-SS_VERSION := $(subst ., ,$(subst devel,.99,$(subst beta,.99,$(subst RC,.99,$(VERSION)))))
+SS_VERSION := $(subst ., ,$(subst devel,.99,$(subst beta,.99,$(subst alpha,.99,$(subst rc,.99,$(subst RC,.99,$(VERSION)))))))
 PGSQL_MAJOR_VER	= $(word 1,$(SS_VERSION))
 PGSQL_MINOR_VER	= $(word 2,$(SS_VERSION))
 PGSQL_PATCH_VER	= $(word 3,$(SS_VERSION))
@@ -68,6 +68,12 @@
 	endif
 	endif
 	endif
+	endif
+
+	ifeq ($(JRE_CPU), i386)
+		ifeq ($(findstring -m64, $(CFLAGS)), -m64)
+			JRE_CPU := amd64
+		endif
 	endif
 
 endif
