=== debian/changelog ===
postgresql-pljava (1.4.2-4) unstable; urgency=low

  * Apparently, ia64 and hppa need an explicit include path to find jni_md.h.
    Closes: #559993.

 -- Christoph Berg <myon@debian.org>  Tue, 26 Jul 2011 10:47:21 +0200

postgresql-pljava (1.4.2-3) unstable; urgency=low

  * Use /usr/lib/jvm/java-1.5.0-gcj/include as include path; build-depend
    on gcj-jdk only. Closes: #633591. Thanks to Niels Thykier.
  * Use readlink to expand /usr/lib/jvm/java-1.5.0-gcj to the real location;
    the RPATH set needs it. (Still working around #488989.)
  * Drop build-dependency on fastjar.
  * Move examples to correct directory.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Jul 2011 11:17:00 +0200

postgresql-pljava (1.4.2-2) unstable; urgency=low

  * Upload to unstable; drop 8.4 package.
  * Section: database.
  * Find libjvm in /usr/lib/jvm/java-1.5.0-gcj/lib instead of
    /java-1.5.0-gcj-4.4.
  * Declare our libjvm workaround good enough for now.
    Closes: #390661, #475069.
  * jni_md.h failures are not observed anymore. Closes: #559993.
  * Replace default-jdk-builddep by gcj-native-helper.
  * Dependencies are already fixed. Closes: #629618.
  * Install deploy.jar and examples.jar files. Closes: #388625.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Jul 2011 23:15:56 +0200

postgresql-pljava (1.4.2-1) experimental; urgency=low

  * New upstream release.
  * Add myself as co-maintainer.
  * Convert to plain debhelper to add multi-version support using pg_buildext.
  * Update to build with PG 8.4 and 9.0.  Closes: #559591.
  * Use explicit -L/usr/lib/jvm/java-1.5.0-gcj-4.4/lib for now and link
    against libjvm (workaround for #390661, #475069, a proper fix is requested
    in #488989).
  * Despite being redundant, link against libgcj so we have a Depends on it.
  * Also add an RPATH for /usr/lib/jvm/java-1.5.0-gcj-4.4/lib (there's no good
    public location, see also #488989).
  * Update download location.  Closes: #600658.

 -- Christoph Berg <myon@debian.org>  Tue, 12 Apr 2011 16:50:58 +0200

postgresql-pljava (1.4.0-2) UNRELEASED; urgency=low

  * Added Vcs-* control fields
  * Updated standards version

 -- Peter Eisentraut <petere@debian.org>  Wed, 02 Jul 2008 17:22:16 +0200

postgresql-pljava (1.4.0-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build-depend on default-jdk-builddep, don't build on alpha, arm, hppa.
    Closes: #477899.

 -- Matthias Klose <doko@debian.org>  Sun, 11 May 2008 11:38:42 +0200

postgresql-pljava (1.4.0-1) unstable; urgency=low

  * New upstream release (closes: #474084)
    - Obsoletes xact.patch
  * Built for PostgreSQL 8.3

 -- Peter Eisentraut <petere@debian.org>  Fri, 04 Apr 2008 22:27:34 +0200

postgresql-pljava (1.3.0-3) unstable; urgency=low

  * Fixed building where gcc version != gcj version (closes: #462501)

 -- Peter Eisentraut <petere@debian.org>  Sun, 03 Feb 2008 02:40:25 +0100

postgresql-pljava (1.3.0-2) unstable; urgency=low

  * Built for postgresql 8.2 (closes: #419305)
  * Use /usr/lib/postgresql/8.2/bin/pg_config rather than the first one in
    the path (closes: #441668)
  * Added fix to build with PostgreSQL 8.2 (xact.patch) (closes: #441668)
  * Rebuilt to fix libgcj dependency (closes: #436144)
  * Added Homepage control field
  * Updated standards version
  * Updated watch file

 -- Peter Eisentraut <petere@debian.org>  Mon, 10 Dec 2007 15:59:01 +0100

postgresql-pljava (1.3.0-1) unstable; urgency=low

  * New upstream release (closes: #375199)
  * Built for postgresql 8.1 (closes: #339641)
  * Rebuilt for new libgcj library (closes: #369986)
  * Updated copyright file
  * Updated standards version
  * Made use of cdbs simple patchsys

 -- Peter Eisentraut <petere@debian.org>  Mon, 26 Jun 2006 10:44:55 +0200

postgresql-pljava (1.1.0-5) unstable; urgency=low

  * Removed build dependency on libgcj6-dev, updated build dependency on
    gcj to a version where this is implicit (closes: #359726)
  * Changed to debhelper level 5

 -- Peter Eisentraut <petere@debian.org>  Tue, 18 Apr 2006 18:49:30 +0200

postgresql-pljava (1.1.0-4) unstable; urgency=low

  * Use /usr/lib/postgresql/8.0/bin/pg_config rather than the first one in
    the path (closes: #339947)
  * Depend on correct debhelper version for cdbs

 -- Peter Eisentraut <petere@debian.org>  Thu,  8 Dec 2005 22:20:02 +0100

postgresql-pljava (1.1.0-3) unstable; urgency=low

  * Also changed the Java compilation from -fpic to -fPIC so that the fix
    actually works

 -- Peter Eisentraut <petere@debian.org>  Mon, 12 Sep 2005 18:46:47 +0200

postgresql-pljava (1.1.0-2) unstable; urgency=low

  * Removed several workarounds from when GCC 4.0 was not the default yet
  * Updated standards version
  * Changed from -fpic to -fPIC to work around several build failures

 -- Peter Eisentraut <petere@debian.org>  Sun, 11 Sep 2005 20:44:35 +0200

postgresql-pljava (1.1.0-1) unstable; urgency=low

  * Initial release

 -- Peter Eisentraut <petere@debian.org>  Wed,  8 Jun 2005 16:43:28 +0200
