=== debian/control ===
Source: postgresql-pljava
Section: database
Priority: optional
Maintainer: Peter Eisentraut <petere@debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 5), gcj-jdk, postgresql-server-dev-all (>= 118)
Standards-Version: 3.9.2
Homepage: http://wiki.tada.se/index.php?title=Main_Page
Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-pljava/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-pljava/

Package: postgresql-9.0-pljava-gcj
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.0
Provides: postgresql-9.0-pljava
Conflicts: postgresql-9.0-pljava
Description: Java procedural language for PostgreSQL 9.0
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.  This variant is compiled using the GNU Compiler
 for Java (GCJ).
