=== debian/changelog ===
postgresql-pljava (1.4.3-3~1.gitc5d3def.pgdg14.04+1) trusty-pgdg; urgency=low

  * Rebuild for trusty-pgdg (jenkins-postgresql-pljava-source-
    distribution=trusty-1, git revision
    c5d3defd6400cf2a4d12feb5c53bbd7dc5eac175)

 -- apt.postgresql.org autobuilder <myon@debian.org>  Thu, 06 Feb 2014 17:59:00 +0100

postgresql-pljava (1.4.3-3) UNRELEASED; urgency=medium

  * Convert debian/rules to dh.
  * Add autopkgtest support.
  * Add 9.2 to supported versions (9.3 doesn't work yet).

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 06 Feb 2014 17:54:03 +0100

postgresql-pljava (1.4.3-2) unstable; urgency=low

  [ Christoph Berg ]
  * Remove disabled ldflags patch, implemented in debian/rules now.
  * Remove 8.1 version.
  * Fix format strings.  Closes: #664908.

  [ Peter Eisentraut ]
  * Removed myself as maintainer, promoted Christoph.

 -- Christoph Berg <myon@debian.org>  Tue, 27 Mar 2012 11:43:26 +0200

postgresql-pljava (1.4.3-1) unstable; urgency=low

  * New upstream version.
  * Build for PostgreSQL 9.1.  Closes: 639461.

 -- Christoph Berg <myon@debian.org>  Mon, 19 Sep 2011 11:02:32 +0200
