=== debian/control ===
--- 
+++ 
@@ -4,10 +4,22 @@
 Maintainer: Peter Eisentraut <petere@debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper (>= 5), gcj-jdk, postgresql-server-dev-all (>= 118)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://wiki.tada.se/index.php?title=Main_Page
 Vcs-Svn: svn://svn.debian.org/pkg-postgresql/trunk/postgresql-pljava/
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-postgresql/trunk/postgresql-pljava/
+XS-Testsuite: autopkgtest
+
+Package: postgresql-8.4-pljava-gcj
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-8.4
+Provides: postgresql-8.4-pljava
+Conflicts: postgresql-8.4-pljava
+Description: Java procedural language for PostgreSQL 8.4
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.  This variant is compiled using the GNU Compiler
+ for Java (GCJ).
 
 Package: postgresql-9.0-pljava-gcj
 Architecture: any
@@ -20,3 +32,25 @@
  and trigger procedures.  This variant is compiled using the GNU Compiler
  for Java (GCJ).
 
+Package: postgresql-9.1-pljava-gcj
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.1
+Provides: postgresql-9.1-pljava
+Conflicts: postgresql-9.1-pljava
+Description: Java procedural language for PostgreSQL 9.1
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.  This variant is compiled using the GNU Compiler
+ for Java (GCJ).
+
+Package: postgresql-9.2-pljava-gcj
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, postgresql-9.2
+Provides: postgresql-9.2-pljava
+Conflicts: postgresql-9.2-pljava
+Description: Java procedural language for PostgreSQL 9.2
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.  This variant is compiled using the GNU Compiler
+ for Java (GCJ).
+
