=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk

# Workaround for #488989:
# We need the expanded path at least for the RPATH because the symlink is only
# shipped in gcj-jre-headless which the bbuilt package does not depend on
export USR_LIB_JVM_GCJ := $(shell readlink -f /usr/lib/jvm/java-1.5.0-gcj)

override_dh_auto_clean:
	rm -rf build build-?.? results regression.*

override_dh_auto_build:
	test -d $(USR_LIB_JVM_GCJ)/include
	test -d $(USR_LIB_JVM_GCJ)/lib
	for version in $$(pg_buildext supported-versions .) ; do \
		echo "### Building for PostgreSQL $$version" && \
		$(MAKE) -C . USE_GCJ=1 PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config CPPFLAGS+="-I$(USR_LIB_JVM_GCJ)/include -I$(USR_LIB_JVM_GCJ)/include/linux" PLJAVA_LDFLAGS="-L$(USR_LIB_JVM_GCJ)/lib -Wl,-R$(USR_LIB_JVM_GCJ)/lib -ljvm" && \
		mv build build-$$version || exit 1 ; \
	done

override_dh_auto_test:

override_dh_auto_install:
	for version in $$(pg_buildext supported-versions .) ; do \
		echo "### Installing for PostgreSQL $$version" && \
		mv build-$$version build && \
		PKG=postgresql-$$version-pljava-gcj && \
		DESTDIR=$(CURDIR)/debian/$$PKG && \
		$(MAKE) -C . install USE_GCJ=1 PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config DESTDIR=$$DESTDIR && \
		install -d $$DESTDIR/usr/share/postgresql-$$version-pljava && \
		install -m 644 src/sql/*install.sql build/deploy.jar $$DESTDIR/usr/share/postgresql-$$version-pljava && \
		install -d $$DESTDIR/usr/share/doc/$$PKG/examples && \
		install -m 644 build/examples.jar $$DESTDIR/usr/share/doc/$$PKG/examples && \
		install -d $$DESTDIR/usr/share/lintian/overrides && \
		install -m644 debian/lintian-overrides $$DESTDIR/usr/share/lintian/overrides/$$PKG && \
		mv build build-$$version || exit 1 ; \
	done

override_dh_installdocs:
	dh_installdocs -a --all debian/README.Debian docs/*.html

%:
	dh $@
