## postgresql-pljava 1.5.1

=== debian/changelog ===
postgresql-pljava (1.5.1-1.pgdg14.04+1) trusty-pgdg; urgency=medium

  * Rebuild for trusty-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Wed, 17 Oct 2018 12:46:11 +0200

postgresql-pljava (1.5.1-1) unstable; urgency=medium

  * New upstream version.
  * Use the system's default Java version for libjvm.so at runtime instead of
    the one used for compilation.
  * Put default-jre-headless in runtime dependency, and add
    java-runtime-headless alternative.
  * Remove GCJ from package description, mention libjvm.so used by default
    instead.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 17 Oct 2018 12:46:11 +0200

postgresql-pljava (1.5.1~beta3-1) unstable; urgency=medium

  * New upstream beta version, now based on maven.
  * Rename binary package to postgresql-NN-pljava without any suffix;
    building using openjdk-8-jdk-headless.
  * Convert debian/rules to dh.
  * Add autopkgtest support.
  * Add nar aol properties file for compiling/linking on ppc46el.
    Suggested by Chapman Flack, thanks!
  * Cherry-pick upstream patch to fix breakage of default libjvm path on i386.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 08 Oct 2018 12:39:19 +0200

postgresql-pljava (1.4.3-3) unstable; urgency=low

  * Build for PostgreSQL 9.3 (closes: #731518)

 -- Peter Eisentraut <petere@debian.org>  Thu, 13 Mar 2014 00:16:40 -0400
