=== debian/tests/control ===
Depends: @, postgresql-server-dev-all
Tests: installjar
Restrictions: allow-stderr
